## org.omg.PortableServer
Class IdUniquenessPolicyValueHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.IdUniquenessPolicyValueHelper

public class IdUniquenessPolicyValueHelper
extends java.lang.Object

Helper class for : IdUniquenessPolicyValue

Author:
  OpenORB Compiler

Constructor Summary
`IdUniquenessPolicyValueHelper()`

Method Summary
`static IdUniquenessPolicyValue` `extract(Any a)` Extract IdUniquenessPolicyValue from an any
`static java.lang.String` `id()` Return the IdUniquenessPolicyValue IDL ID
`static void` `insert(Any a, IdUniquenessPolicyValue t)` Insert IdUniquenessPolicyValue into an any
`static IdUniquenessPolicyValue` `read(InputStream istream)` Read IdUniquenessPolicyValue from a marshalled stream
`static TypeCode` `type()` Return the IdUniquenessPolicyValue TypeCode
`static void` `write(OutputStream ostream, IdUniquenessPolicyValue value)` Write IdUniquenessPolicyValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdUniquenessPolicyValueHelper

    public IdUniquenessPolicyValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IdUniquenessPolicyValue t)

  Insert IdUniquenessPolicyValue into an any
  Parameters:
    `a` - an any
    `t` - IdUniquenessPolicyValue value

### extract

    public static IdUniquenessPolicyValue extract(Any a)

  Extract IdUniquenessPolicyValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IdUniquenessPolicyValue value

### type

    public static TypeCode type()

  Return the IdUniquenessPolicyValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IdUniquenessPolicyValue IDL ID
  Returns:
    an ID

### read

    public static IdUniquenessPolicyValue read(InputStream istream)

  Read IdUniquenessPolicyValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IdUniquenessPolicyValue value

### write

    public static void write(OutputStream ostream,
                             IdUniquenessPolicyValue value)

  Write IdUniquenessPolicyValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IdUniquenessPolicyValue value